org.eclipse.rdf4j.sparqlbuilder.rdf

## Class RdfPredicateObjectListCollection

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<RdfPredicateObjectList>
  - - org.eclipse.rdf4j.sparqlbuilder.rdf.RdfPredicateObjectListCollection

- All Implemented Interfaces:
    QueryElement

      public class RdfPredicateObjectListCollection
      extends QueryElementCollection<RdfPredicateObjectList>

  An RDF predicate-object list collection
  See Also:
    Predicate-Object Lists, Object Lists

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RdfPredicateObjectListCollection` | `andHas(RdfPredicateObjectList... lists)` add predicate-object lists to this collection
    `RdfPredicateObjectListCollection` | `andHas(RdfPredicate predicate, RdfObject... objects)` add predicate-object lists to this collection

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, getQueryString, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### andHas

          public RdfPredicateObjectListCollection andHas(RdfPredicate predicate,
                                                         RdfObject... objects)

      add predicate-object lists to this collection
      Parameters:
        `predicate` - the predicate of the predicate-object list to add
        `objects` - the object or objects to add
      Returns:
        this instance

    - #### andHas

          public RdfPredicateObjectListCollection andHas(RdfPredicateObjectList... lists)

      add predicate-object lists to this collection
      Parameters:
        `lists` - the `RdfPredicateObjectList`'s to add to this collection
      Returns:
        this instance

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.